# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class HookActionMail(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    def __init__(self, destinations: List[str]=None, subject: str=None, text: str=None):  # noqa: E501
        """HookActionMail - a model defined in Swagger

        :param destinations: The destinations of this HookActionMail.  # noqa: E501
        :type destinations: List[str]
        :param subject: The subject of this HookActionMail.  # noqa: E501
        :type subject: str
        :param text: The text of this HookActionMail.  # noqa: E501
        :type text: str
        """
        self.swagger_types = {
            'destinations': List[str],
            'subject': str,
            'text': str
        }

        self.attribute_map = {
            'destinations': 'destinations',
            'subject': 'subject',
            'text': 'text'
        }

        self._destinations = destinations
        self._subject = subject
        self._text = text

    @classmethod
    def from_dict(cls, dikt) -> 'HookActionMail':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The HookActionMail of this HookActionMail.  # noqa: E501
        :rtype: HookActionMail
        """
        return util.deserialize_model(dikt, cls)

    @property
    def destinations(self) -> List[str]:
        """Gets the destinations of this HookActionMail.


        :return: The destinations of this HookActionMail.
        :rtype: List[str]
        """
        return self._destinations

    @destinations.setter
    def destinations(self, destinations: List[str]):
        """Sets the destinations of this HookActionMail.


        :param destinations: The destinations of this HookActionMail.
        :type destinations: List[str]
        """

        self._destinations = destinations

    @property
    def subject(self) -> str:
        """Gets the subject of this HookActionMail.


        :return: The subject of this HookActionMail.
        :rtype: str
        """
        return self._subject

    @subject.setter
    def subject(self, subject: str):
        """Sets the subject of this HookActionMail.


        :param subject: The subject of this HookActionMail.
        :type subject: str
        """

        self._subject = subject

    @property
    def text(self) -> str:
        """Gets the text of this HookActionMail.


        :return: The text of this HookActionMail.
        :rtype: str
        """
        return self._text

    @text.setter
    def text(self, text: str):
        """Sets the text of this HookActionMail.


        :param text: The text of this HookActionMail.
        :type text: str
        """

        self._text = text
